Bug 1678385 - [v2v][OSP][RHV] VM with name containing spaces ('rhel 7') fails to migrate using SSH and VDDK transformation
Summary: [v2v][OSP][RHV] VM with name containing spaces ('rhel 7') fails to migrate us...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.3
Assignee: Brett Thurber
QA Contact: Shveta
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On: 1669240
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-18 16:43 UTC by Satoe Imaishi
Modified: 2019-06-02 09:26 UTC (History)
13 users (show)

Fixed In Version: 5.10.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1669240
Environment:
Last Closed: 2019-04-23 07:46:21 UTC
Category: Bug
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
rhv-vm-space.tar.gz (270.32 KB, application/gzip)
2019-02-25 09:30 UTC, Yadnyawalk Tale
no flags Details
automate.log (1.88 KB, text/plain)
2019-02-25 11:40 UTC, Yadnyawalk Tale
no flags Details
log for international chars vm with OSP (18.05 KB, text/plain)
2019-02-25 22:36 UTC, Shveta
no flags Details
Logs (16.59 KB, application/octet-stream)
2019-04-10 17:33 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-v2v issues 886 'None' 'closed' '[v2v][OSP][RHV]Migration with VDDK transformation method fails when used a VM with International Characters or with VM ... 2019-11-24 12:53:09 UTC
Red Hat Product Errata RHSA-2019:0796 None None None 2019-04-23 07:46:26 UTC

Comment 1 CFME Bot 2019-02-18 16:50:39 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/9a6cc992fe53263d5faed3f4ccb1e157d423d2c1
commit 9a6cc992fe53263d5faed3f4ccb1e157d423d2c1
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Fri Feb 15 14:14:07 2019 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Fri Feb 15 14:14:07 2019 -0500

    Merge pull request #18451 from fdupont-redhat/v2v_escape_unicode_for_wrapper

    Escape characters in SSH URI for virt-v2v

    (cherry picked from commit b652050c9e9c37e50672978aa0a2f939cc7510a8)

    https://bugzilla.redhat.com/show_bug.cgi?id=1678385

 app/models/service_template_transformation_plan_task.rb | 7 +-
 spec/models/service_template_transformation_plan_task_spec.rb | 6 +-
 2 files changed, 9 insertions(+), 4 deletions(-)

Comment 2 Yadnyawalk Tale 2019-02-25 09:30:22 UTC
Created attachment 1538366 [details]
rhv-vm-space.tar.gz

For RHV, vm with international characters (ytale-õpêô-aññ-bédévé-日本語-简体中文-жгф-001) migrated but vm with space (ytale space) failed to migrate with 'Update description of VM' status.

Comment 3 Yadnyawalk Tale 2019-02-25 11:40:25 UTC
Created attachment 1538403 [details]
automate.log

Comment 4 Shveta 2019-02-25 19:04:15 UTC
Could not check this BZ on OSP yet due to some volume issues .
WIll check tomorrow and comment on OSP.
But as @Yadnyawalk mentioned , VM with space in the name failed to migrate on RHV
Moving this BZ to assigned.

Comment 5 Shveta 2019-02-25 22:36:22 UTC
Created attachment 1538615 [details]
log for international chars vm with OSP

International chars not fixed for OSP .

Comment 6 Shveta 2019-02-26 02:26:49 UTC
Vm with space name gets migrated successfully on OSP .

SO two issues to fix : 
Vm with space on RHV and 
VM with international chars on OSP.
Appliance : https://10.8.198.160

Comment 7 Shveta 2019-02-26 17:55:10 UTC
This bug will also track International chars and space name VM's for OSP and RHV for both VDDK and SSH .

Comment 8 Fabien Dupont 2019-02-27 16:01:04 UTC
https://github.com/ManageIQ/manageiq-content/pull/509 should fix space issue with RHV.

Comment 11 Fabien Dupont 2019-03-07 22:45:12 UTC
The solution we agreed is too filter out VMs that have an "invalid" name. By invalid we mean that it's not supported by the destination provider.
https://github.com/ManageIQ/manageiq-content/pull/509 will not solve it, but I'm working on another PR. We may or may not be on time for 5.10.2. If not, I'll move the Target Release to 5.10.3

Comment 13 Brett Thurber 2019-03-28 15:25:57 UTC
@fdupont FYI

Comment 14 Fabien Dupont 2019-04-02 12:52:53 UTC
The invalid VM names will be filtered from the migration plan selection widget with https://bugzilla.redhat.com/show_bug.cgi?id=1685948.
We also document the valid characters set in IMS 1.1 guide.
Let's move this BZ to POST.

Comment 16 CFME Bot 2019-04-04 22:07:15 UTC
New commit detected on ManageIQ/manageiq-content/hammer:

https://github.com/ManageIQ/manageiq-content/commit/840b7949023c33e519e99943d9e67482a3775e48
commit 840b7949023c33e519e99943d9e67482a3775e48
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Mar  7 17:28:03 2019 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Mar  7 17:28:03 2019 -0500

    Merge pull request #509 from fdupont-redhat/v2v_remove_setdescription

    [V2V] Remove SetDescription state

    (cherry picked from commit 3e726817190816aea92f2357a136d536997ecaeb)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1678385

 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/setdescription.rb | 30 -
 content/automate/ManageIQ/Transformation/Infrastructure/VM/Common.class/__methods__/setdescription.yaml | 16 -
 content/automate/ManageIQ/Transformation/Infrastructure/VM/rhevm.class/__class__.yaml | 33 -
 content/automate/ManageIQ/Transformation/Infrastructure/VM/rhevm.class/__methods__/utils.rb | 67 -
 content/automate/ManageIQ/Transformation/Infrastructure/VM/rhevm.class/__methods__/utils.yaml | 13 -
 content/automate/ManageIQ/Transformation/Infrastructure/VM/rhevm.class/_missing.yaml | 12 -
 content/automate/ManageIQ/Transformation/StateMachines/VMTransformation.class/posttransform.yaml | 16 +-
 7 files changed, 4 insertions(+), 183 deletions(-)

Comment 17 Shveta 2019-04-10 17:33:32 UTC
Created attachment 1554319 [details]
Logs

Migration of VM with international chars in name failed on OSP.
Logs are attached .
Appliance : https://10.8.196.192/

Comment 18 Fabien Dupont 2019-04-17 10:17:10 UTC
International characters are still not supported for both RHV and OSP, so I don't know why we test them.

Comment 19 Shveta 2019-04-17 13:10:45 UTC
Since the BZ came to ON_QA we tested it for space and international chars for which it was reported.
Removing international test case now and validating only for space in VM name.
Thanks,

Comment 21 errata-xmlrpc 2019-04-23 07:46:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0796


Note You need to log in before you can comment on or make changes to this bug.